diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 9a94a3c6c..d98798e3e 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -2698,8 +2698,7 @@ int32_t SurgeGUIEditor::controlModifierClicked(CControl* control, CButtonState b
 
       auto ctrl = dynamic_cast<CSurgeSlider*>(control);
 
-      if ((button & kRButton) && !(p->ctrltype == ct_lfoshape) &&
-          !(ctrl != nullptr && ctrl->disabled == true)) // supress RMB on LFO Shape and hidden sliders, for LFO let CLFOGui handle it
+      if ((button & kRButton) && !(p->ctrltype == ct_lfoshape)) // for LFO let CLFOGui handle it
       {
          CRect menuRect;
          CPoint where;
